MMDTSDEC(1)

NAME
mmdtsdec - Decode a Multimedia Display MPEG Transport Stream encoded file into Waveform Audio File format.

SYNOPSIS
mmdtsdec [OPTIONS] INPUT_FILE OUTPUT_FILE

DESCRIPTION
Mmdtsdec is a command line program to decode Multimedia Display MPEG Transport Stream (TS) encoded files into into Waveform Audio File (WAV) format. Transport Stream is specified in the MPEG-2 Part 1 standard, and is commonly used to store audio, video, and data on DVD and Blu-ray discs. WAV files, on the other hand, are only lightly compressed, but are supported by a large number audio/video programs thanks to the format's relative simplicity. This program is part of the MakeMKV suite, and is designed first-and-foremost to complement MakeMKV.

OPTIONS

-d, --dll FILE
    Use the shared library FILE to decode the INPUT_FILE.

INPUT_FILE
Each instance of this program must have an INPUT_FILE. This parameter should be the file name and path to an MPEG Transport Stream encoded file. (Which typically terminates with a .ts or .dts file extension.)

OUTPUT_FILE
Each instance of this program must have an OUTPUT_FILE. The file specified by this parameter should not exist prior to this program being executed. If OUTPUT_FILE already exists, it will be unconditionally overwritten. Since a Waveform Audio File will be produced, this file name should end with the .wav file extension.

EXAMPLES
The following examples demonstrate the proper syntax for performing various common operations. 1. Decode InputFile.dts to OutputFile.wav using the default decoder library.
    mmdtsdec InputFile.dts OutputFile.wav

AUTHOR
This manual page was written by Karl Lenz <xorangekiller@gmail.com> for the Debian project (but may be used by others).

COPYRIGHT
2007-2014 GuinpinSoft Inc. Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. The MakeMKV Multimedia Display MPEG Transport Stream Decoder is provided "as is" with no warranty. This program is proprietary software: you can redistribute it under the terms of the MakeMKV End-User License Agreement (EULA) as provided by GuinpinSoft Incorporated. On Debian systems, the complete text of this license can be found in "/usr/share/doc/makemkv-dec/copyright".

SEE ALSO
makemkv(1), makemkvcon(1), ffmpeg(1), mencoder(1)